---
title: "List invoices · Invoices · COUNT Partner API"
description: "Returns a paginated list of invoices, estimates, or credit memos. GET /partners/invoices"
canonical: "https://developers.getcount.com/reference/invoices/list-invoices"
source: "https://developers.getcount.com/reference/invoices/list-invoices"
---
[Invoices](https://developers.getcount.com/reference/invoices) / List invoices

# List invoices

GET `/partners/invoices`

Returns a paginated list of invoices, estimates, or credit memos.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Finvoices)

[Credit Memos API](https://developers.getcount.com/reference/credit-memo) [Customers API](https://developers.getcount.com/reference/customers) [Products & Services API](https://developers.getcount.com/reference/products-and-services) [Transactions API](https://developers.getcount.com/reference/transactions)

#### Query parameters

`page` integer optional

Page number for pagination. The first page is 1.

`limit` integer optional

Records to return per page.

`invoiceType` enum optional

Filter by document type.

One of: `invoice`, `estimate`, `memo`

`status` string optional

Comma-separated lifecycle statuses (e.g. draft,approved,sent).

`paymentStatus` string optional

Comma-separated payment statuses.

`approvalStatus` enum optional

Filter by approval state.

One of: `draft`, `approved`

`startDate` date optional

Filter on invoice date (ISO).

`endDate` date optional

Filter on invoice date (ISO).

`startDueDate` date optional

Filter on due date (ISO).

`endDueDate` date optional

Filter on due date (ISO).

`isDraft` boolean optional

Explicit draft filter.

`search` string optional

Free-text search.

#### Responses

`200` Paginated list of invoices.

`401` Unauthorized — authentication failed. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

[Next GET Get an invoice](https://developers.getcount.com/reference/invoices/get-invoice)

GET `https://api.getcount.com/partners/invoices`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/invoices';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on fetching invoices.",
  "results": 1,
  "totalRecords": 1,
  "page": 1,
  "limit": 50,
  "data": {
    "invoices": [
      {
        "id": "f6a7b8c9-d0e1-2345-fabc-456789012345",
        "invoiceNumber": "INV-1042",
        "invoiceType": "invoice",
        "customerUuid": "dfa3219e-6af8-4c53-997a-037534f63a35",
        "date": "2026-03-01",
        "dueDate": "2026-03-31",
        "currency": "USD",
        "status": "sent",
        "isDraft": false,
        "approved": true,
        "isSent": true,
        "paymentStatus": "unpaid",
        "subtotal": 1000,
        "taxTotal": 85,
        "total": 1085,
        "amountDue": 1085,
        "products": [
          {
            "productUuid": "aa11bb22-cc33-dd44-ee55-ff6677889900",
            "description": "Consulting services",
            "quantity": 10,
            "unitPrice": 100,
            "nonTaxable": false
          }
        ],
        "createdAt": "2026-03-01T09:00:00.000Z",
        "updatedAt": "2026-03-02T11:15:00.000Z"
      }
    ]
  }
}
```
